html, body, div, span, applet, object, iframe,h1, h2, h3, h4, h5, h6, p, blockquote, pre,a, abbr, acronym, address, big, cite, code,del, dfn, em, font, img, ins, kbd, q, s,samp, small, strike, strong, sub, sup, tt,var, b, u, i, dl, dt, dd, ol, ul, li,fieldset, form, label, legend, table, caption,tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
html, body {
    height: 100%; /* 设置 html 和 body 的高度为 100% */
    margin: 0;
    font-family: 'MyCustomFont', sans-serif;
    box-sizing: border-box;
}
.page{
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, #302769, #1c1e45);
    padding: 30px 18px;
    margin: 0;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
}
@font-face {
    font-family: 'MyCustomFont';
    src: url('Poppins-Medium.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
  }
.title{
    font-size: 18px;
    color: #fff4a8;
    line-height: 18px;
    box-sizing: border-box;
}
.radius{
    width: 8px;
    height: 8px;
    background:#9994fa;
    border-radius: 50%;
    line-height: 18px;
    margin-top: 6px;
    margin-right: 6px;
    box-sizing: border-box;
}
.how{
    color: #ffffff;
    font-size: 15px;
    margin-left: auto; 
    border-bottom: 2px solid #97a8d7;
    line-height: 16px;
    box-sizing: border-box;
}
.input_text{
    box-sizing: border-box;
    width: 100%;
    height: 32px;
    padding: 2px 13px;
    border-radius: 8px;
    border: none;
    background: #201f46;
    color: #ffffff;
    font-size: 14px;
    margin-top: 10px;
    margin-bottom: 10px;
}
input::placeholder {
    color: #5a6290; /* 设置颜色 */
    font-size: 14px; /* 设置字体大小 */
  }
input:focus {
    outline: none; /* 去掉默认的轮廓 */
    border: 1px solid #ffffff; /* 选中时的边框颜色 */
    box-shadow: 0; /* 可选的阴影效果 */
  }
.image_preview{
    box-sizing: border-box;
    margin: 10px 0;
    width: 100%;
    height: 120px;
    border-radius: 10px;
    display: none;
  }
#fileInput{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0; /* Make the file input invisible */
    cursor: pointer;
  }
.img_box{
    position: relative;
  }
.close{
    position: absolute;
    right: 5px;
    top: 3px;
    font-size: 18px;
    font-weight: 800;
    color: #000000;
    display: none;
  }
.upload_box{
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    margin: 10px 0;
    width: 100%;
    height: 120px;
    border-radius: 10px;
    background: #969ace;
    background-image: url(./image/img/pic_tupian.png);
    background-repeat: no-repeat; /* 防止图像平铺 */
    background-position:center top 12px;
    background-size: 30% 70%;
}
.sub_btn_1{
    box-sizing: border-box;
    margin: 20px auto;
    width: 180px;
    height: 50px;
    background-repeat: no-repeat; /* 防止图像平铺 */
    background-position:center;
    background-size: 100% 100%;
    background-image: url(./image/img/btn_activation.png);
}
.sub_btn_text{
    box-sizing: border-box;
    text-align: center;
    font-size: 24px;
    line-height: 43px;
    font-weight: 700;
    background: linear-gradient(to bottom, #fffcca,#ebcc4e); /* 三种颜色的渐变 */
    -webkit-background-clip: text; /* WebKit 浏览器的渐变背景裁剪 */
    background-clip: text; /* 其他浏览器的渐变背景裁剪 */
    color: transparent; /* 使文本颜色透明以显示背景渐变 */
    text-shadow: 0px 2px 40px #5d250d;
}
.act_btn_1{
    box-sizing: border-box;
    margin: 20px auto;
    width: 180px;
    height: 50px;
    background-repeat: no-repeat; /* 防止图像平铺 */
    background-position:center;
    background-size: 100% 100%;
    background-image: url(./image/img/btn_cancellation.png);
}
.act_btn_text{
    box-sizing: border-box;
    text-align: center;
    font-size: 20px;
    line-height: 43px;
    font-weight: 700;
    background: linear-gradient(to bottom, #fffcca,#ebcc4e); /* 三种颜色的渐变 */
    -webkit-background-clip: text; /* WebKit 浏览器的渐变背景裁剪 */
    background-clip: text; /* 其他浏览器的渐变背景裁剪 */
    color: transparent; /* 使文本颜色透明以显示背景渐变 */
    text-shadow: 0px 2px 40px #5d250d;
}

.dis_btn_1{
    box-sizing: border-box;
    margin: 20px auto;
    width: 180px;
    height: 50px;
    background-repeat: no-repeat; /* 防止图像平铺 */
    background-position:center;
    background-size: 100% 100%;
    background-image: url(./image/img/btn_invalid.png);
}
.dis_btn_text{
    box-sizing: border-box;
    text-align: center;
    font-size: 20px;
    line-height: 43px;
    font-weight: 700;
    background: linear-gradient(to bottom, #e6f1f4,#8f94b6); /* 三种颜色的渐变 */
    -webkit-background-clip: text; /* WebKit 浏览器的渐变背景裁剪 */
    background-clip: text; /* 其他浏览器的渐变背景裁剪 */
    color: transparent; /* 使文本颜色透明以显示背景渐变 */
    text-shadow: 0px 2px 40px #363559;
}
.status_center_box{
    display: flex;
    align-items: flex-end;
    padding: 15px 25px;
    padding-bottom: 0;
    box-sizing: border-box;
}
.status_center_box img{
    width: 20px;
}
.status_center_text{
    box-sizing: border-box;
    height: 100%;
    line-height: 20px;
    font-size: 13px;
    color: #98aaf0;
    margin-left: 6px;
    white-space: nowrap;
}

.status_success_box{
    box-sizing: border-box;
    display: flex;
    align-items: flex-end;
    padding: 15px 25px;
    padding-top: 0;
}
.status_success_box img{
    width: 20px;
}
.status_success_text{
    box-sizing: border-box;
    height: 100%;
    line-height: 20px;
    font-size: 15px;
    color: #5bfa93;
    margin-left: 6px;
    white-space: nowrap;
}
.status_fail_box{
    box-sizing: border-box;
    display: flex;
    align-items: flex-end;
    padding: 15px 25px;
    padding-top: 0;
}
.status_fail_box img{
    width: 20px;
}
.status_fail_text{
    box-sizing: border-box;
    height: 100%;
    line-height: 20px;
    font-size: 15px;
    color: #ff5249;
    margin-left: 6px;
    white-space: nowrap;
}
#how_img{
    box-sizing: border-box;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* 黑色遮罩层，透明度为0.8 */
    z-index: 1000; /* 确保遮罩层在其他内容之上 */
    justify-content: center;
    align-items: center;
    overflow: hidden; /* 防止滚动条 */
}
#how_img img {
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 90%;
    max-height: 90%;
    margin: auto;
    display: block;
}
#message{
    display: none;
    box-sizing: border-box;
    width: 100%;
    height: 30px;
    color: #ffffff;
    line-height: 30px;
    position: absolute;
    bottom: 0; /* 初始位置在页面底部 */
    left: 50%; /* 水平居中 */
    transform: translateX(-50%); /* 水平居中对齐 */
    background: rgba(0, 0, 0, 0.3);
    text-align: center;
    font-size: 14px;
    animation: floatToCenter 2s ease-in-out 1 forwards; /* 执行一次，并保持在最后一帧 */
}
/* 定义动画 */
@keyframes floatToCenter {
    0% {
        transform: translate(-50%, calc(-50vh + 100px)); /* 起点在页面的中下方 */
        opacity: 1;
    }
    50% {
        transform: translate(-50%, calc(-50vh + 15px)); /* 动画中间位置 */
        opacity: 1;
    }
    100% {
        transform: translate(-50%, calc(-50vh + 15px)); /* 动画结束位置 */
        opacity: 1;
    }
}